Package com.saxonica.config.pe

## Class ConfigurationReaderPE

- java.lang.Object
- - net.sf.saxon.trans.ConfigurationReader
  - - com.saxonica.config.pe.ConfigurationReaderPE

- All Implemented Interfaces:
    `NamespaceResolver`, `org.xml.sax.ContentHandler`

      public class ConfigurationReaderPE
      extends ConfigurationReader

  Subclass of ConfigurationReader providing functionality particular to Saxon Professional Edition

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.trans.ConfigurationReader

      `config`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationReaderPE()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `readExtensionElement​(org.xml.sax.Attributes atts)` | Code to process details of user-defined XSLT extension elements

    - ### Methods inherited from class net.sf.saxon.trans.ConfigurationReader

      `characters, endDocument, endElement, endPrefixMapping, error, errorClass, getURIForPrefix, ignorableWhitespace, iteratePrefixes, makeConfiguration, processingInstruction, readWithParam, readXsltPackage, setBaseConfiguration, setClassLoader, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationReaderPE

          public ConfigurationReaderPE()

  - ### Method Detail

    - #### readExtensionElement

          protected void readExtensionElement​(org.xml.sax.Attributes atts)

      Code to process details of user-defined XSLT extension elements
      Overrides:
        `readExtensionElement` in class `ConfigurationReader`
      Parameters:
        `atts` - the attributes of the element in the configuration file